# -*- encoding : utf-8 -*-
class Portlet::TableContentsController < ApplicationController
	layout "admin"

	def new
		@table_content = TableContent.new

		respond_to do |format|
			format.html {
				if request.xhr?
					render :layout => false
				end
			}
			format.js { render :template => "portlet/shared/new" }
		end
	end

	def create
		@table_content = TableContent.new(params[:table_content])

		respond_to do |format|
			if @table_content.save
				
				
				@portlet = Portlet.create(:position => params[:position], :block_id => params[:block_id], :content => @table_content)
				
			
				
				
				
				format.html { redirect_to([:admin, @portlet.block.blockable], :notice => 'Elément ajouté avec succès.') }
				format.js { render :template => "portlet/shared/create" }
			else
				format.html { render :action => "new" }
				format.js { render :template => "portlet/shared/new" }
			end
		end
	end

	def edit
		@table_content = TableContent.find(params[:id])
		@portlet = Portlet.find(params[:portlet_id])
		respond_to do |format|
			format.html {
				if request.xhr?
					render :template => "portlet/shared/edit", :layout => false
				end
			}
			format.js { render :template => "portlet/shared/edit" }
		end
	end
	
	



	def show


	end

	def update
		@table_content = TableContent.find(params[:id])
		@portlet = Portlet.find(params[:portlet_id])
		
		respond_to do |format|
	        if @table_content.update_attributes(params[:table_content])
				if @portlet.block and @portlet.block.blockable
					@portlet.block.blockable.updated_at = Time.now
					@portlet.block.blockable.save
					if @portlet.block.blockable_type == "Page"

						to_my_log("[Page_"+@portlet.block.blockable.id.to_s+"] "+"Modification de la page "+@portlet.block.blockable.title.to_s+" (modification d'un portlet)")
					end
				end
		
	        	format.html { redirect_to([:admin, @portlet.block.blockable], :notice => 'Titre mis à jour.') }
				format.js { render :template => "portlet/shared/update" }
	        else
	        	format.html { render :action => "portlet/shared/edit" } 
				format.js { render :template => "portlet/shared/edit" }
	        end

		end
	end

	def destroy
		@portlet = Portlet.find(params[:portlet_id])
		@table_content = TableContent.find(params[:id])
		@table_content.destroy
		
		if @portlet.block and @portlet.block.blockable
			@portlet.block.blockable.updated_at = Time.now
			@portlet.block.blockable.save
			if @portlet.block.blockable_type == "Page"

				to_my_log("[Page_"+@portlet.block.blockable.id.to_s+"] "+"Modification de la page "+@portlet.block.blockable.title.to_s+" (suppression d'un portlet)")
			end
		end
		
		respond_to do |format|
			format.html {}
			format.js { render :template => "portlet/shared/destroy" }
		end
	end

 
end
